Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# POA_ImplementationRepository::_TAO_Locator_Strategized_Proxy_Broker Class Reference

`#include <ImR_LocatorS.h>`

Inheritance diagram for POA_ImplementationRepository::_TAO_Locator_Strategized_Proxy_Broker:

[legend]
Collaboration diagram for POA_ImplementationRepository::_TAO_Locator_Strategized_Proxy_Broker:

[legend]
List of all members.

## Public Methods
| _TAO_Locator_Strategized_Proxy_Broker (void)
virtual | ~_TAO_Locator_Strategized_Proxy_Broker (void)
TAO::Collocation_Strategy | get_strategy (CORBA::Object_ptr obj ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
void | dispatch (CORBA::Object_ptr obj, CORBA::Object_out forward_obj, TAO::Argument **args, int num_args, const char *op, size_t op_len, TAO::Collocation_Strategy strategy ACE_ENV_ARG_DECL) throw (CORBA::Exception)
## Static Public Methods
_TAO_Locator_Strategized_Proxy_Broker * | the_TAO_Locator_Strategized_Proxy_Broker (void)

## Constructor & Destructor Documentation

POA_ImplementationRepository::_TAO_Locator_Strategized_Proxy_Broker::_TAO_Locator_Strategized_Proxy_Broker | ( | void |  | ) |

POA_ImplementationRepository::_TAO_Locator_Strategized_Proxy_Broker::~_TAO_Locator_Strategized_Proxy_Broker | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void POA_ImplementationRepository::_TAO_Locator_Strategized_Proxy_Broker::dispatch | ( | CORBA::Object_ptr | obj,
|  | CORBA::Object_out | forward_obj,
|  | TAO::Argument ** | args,
|  | int | num_args,
|  | const char * | op,
|  | size_t | op_len,
|  | TAO::Collocation_Strategy strategy | ACE_ENV_ARG_DECL
| ) | throw (CORBA::Exception)`[virtual]`

| Implements TAO::Collocation_Proxy_Broker.

TAO::Collocation_Strategy POA_ImplementationRepository::_TAO_Locator_Strategized_Proxy_Broker::get_strategy | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[virtual]`

| Implements TAO::Collocation_Proxy_Broker.

POA_ImplementationRepository::_TAO_Locator_Strategized_Proxy_Broker * POA_ImplementationRepository::_TAO_Locator_Strategized_Proxy_Broker::the_TAO_Locator_Strategized_Proxy_Broker | ( | void |  | ) | `[static]`

The documentation for this class was generated from the following files:

- ImR_LocatorS.h
- ImR_LocatorS.cpp